[committed] Add nios2*-*-* to the list of obsolete targets

Message ID 4cae61e5-a31c-4a52-a41e-33477cac670e@baylibre.com
State New
Headers
Series [committed] Add nios2*-*-* to the list of obsolete targets |

Checks

Context Check Description
linaro-tcwg-bot/tcwg_gcc_build--master-arm warning Patch is already merged
linaro-tcwg-bot/tcwg_gcc_build--master-aarch64 warning Patch is already merged

Commit Message

Sandra Loosemore April 18, 2024, 8:31 p.m. UTC
  I've committed the attach patch, per

https://gcc.gnu.org/pipermail/gcc/2024-April/243749.html

-Sandra
  

Patch

From 71ba5a721749174815dec712d113f3afb251deda Mon Sep 17 00:00:00 2001
From: Sandra Loosemore <sloosemore@baylibre.com>
Date: Mon, 8 Apr 2024 14:36:08 +0000
Subject: [committed] Add nios2*-*-* to the list of obsolete targets

This patch marks the nios2*-*-* targets obsolete in GCC 14.  Intel has
EOL'ed this architecture and the maintainers no longer have access to
hardware for testing.  While the port is still in reasonably good
shape at this time, no further testing or updates are planned.

gcc/
	* config.gcc: Add nios2*-*-* to the list of obsoleted targets.

contrib/
	* config-list.mk (LIST): --enable-obsolete for nios2*-*-*.
---
 contrib/config-list.mk | 3 ++-
 gcc/config.gcc         | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/contrib/config-list.mk b/contrib/config-list.mk
index 16df66f0fc6..f282cd95c8d 100644
--- a/contrib/config-list.mk
+++ b/contrib/config-list.mk
@@ -78,7 +78,8 @@  LIST = \
   moxie-uclinux moxie-rtems \
   msp430-elf msp430-elfbare \
   nds32le-elf nds32be-elf \
-  nios2-elf nios2-linux-gnu nios2-rtems \
+  nios2-elfOPT-enable-obsolete nios2-linux-gnuOPT-enable-obsolete \
+  nios2-rtemsOPT-enable-obsolete \
   nvptx-none \
   or1k-elf or1k-linux-uclibc or1k-linux-musl or1k-rtems \
   pdp11-aout \
diff --git a/gcc/config.gcc b/gcc/config.gcc
index 5df3c52f8e9..029ad1f1f08 100644
--- a/gcc/config.gcc
+++ b/gcc/config.gcc
@@ -274,6 +274,7 @@  esac
 case ${target}${target_min} in
     *-*-solaris2.11.[0-3]*		\
    | ia64*-*-*				\
+   | nios2*-*-*				\
  )
     if test "x$enable_obsolete" != xyes; then
       echo "*** Configuration ${target}${target_min} is obsolete." >&2
-- 
2.25.1